GNU bug report logs - #33696
Webview crashes on query.wikidata.org

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: swedebugia@HIDDEN; dated Mon, 10 Dec 2018 20:52:02 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 33696 <at> debbugs.gnu.org:


Received: (at 33696) by debbugs.gnu.org; 13 Dec 2018 15:16:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Dec 13 10:16:03 2018
Received: from localhost ([127.0.0.1]:46652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gXSiZ-00019t-An
	for submit <at> debbugs.gnu.org; Thu, 13 Dec 2018 10:16:03 -0500
Received: from mx1.riseup.net ([198.252.153.129]:39028)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gXSiX-00019F-EA
 for 33696 <at> debbugs.gnu.org; Thu, 13 Dec 2018 10:16:01 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id B36F91A0424;
 Thu, 13 Dec 2018 07:15:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1544714160; bh=wLGbxsFMNUaOymN01u5XmyE1ejDdXckpA/FZE7GU1GY=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=aJyR+9SlpRR+bW5nqwTA0fr1WpUFXTkHGPxn44Z4NaDH9WMRAwPpu8FZIkb1rFCDI
 Ihva8Bz98cIrg2v9MJtb5uMoTqbB6DNodD+FoitI63AHjtg/KBrS4D8WlNxJfhnASm
 d97pv9P+sGKUsbjyIlIExb8hpKxxg7asAeR2BC+E=
X-Riseup-User-ID: 7E8791E4BCD96F02A0CE3B2CEE2BA4CEB74D6C0C3675A3A958B928F9653BA928
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 7B5D769E9C;
 Thu, 13 Dec 2018 07:15:59 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Date: Thu, 13 Dec 2018 07:15:59 -0800
From: swedebugia@HIDDEN
To: Leo Famulari <leo@HIDDEN>
Subject: Re: bug#33696: Webview crashes on query.wikidata.org
In-Reply-To: <20181212015805.GD6546@HIDDEN>
References: <831f7b40e8f69ad4293d817d310ba760@HIDDEN>
 <20181212015805.GD6546@HIDDEN>
Message-ID: <4c4664900c1018bd0ba7f03aab1c6497@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33696
Cc: 33696 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-12 02:58, Leo Famulari wrote:
> On Mon, Dec 10, 2018 at 12:50:55PM -0800, swedebugia@HIDDEN wrote:
>> epiphany, vimb and next crashes when I visit that page. It looks fine on
>> my Antergos machine in chrome.
>>
>> From vimb:
>> "Webview Crashed on
>> https://query.wikidata.org/#%23added%20before%202016-10%0A%23illustrates%20sitelink%20selection%2C%20%22%3B%22%20notation%0ASELECT%20%3Fitem%20%3FitemLabel%20%3Farticle%0AWHERE%0A%7B%0A%09%3Farticle%20%09schema%3Aabout%20%3Fitem%20%3B%0A%09%09%09schema%3AisPartOf%20%3Chttps%3A%2F%2Fspecies.wikimedia.org%2F%3E%20.%0A%09SERVICE%20wikibase%3Alabel%20%7B%20bd%3AserviceParam%20wikibase%3Alanguage%20%22%5BAUTO_LANGUAGE%5D%2Cen%22%20%7D%0A%7D%0ALIMIT%20200"
> 
> I can't reproduce this with our package of Epiphany on Debian.
> 
>> $ guix --version
>> guix (GNU Guix) 0.16.0-3.6ddc63e
> 
> Can you use `guix describe` instead? Here is mine:
> 
> ------
> $ guix describe          
> Generation 56	Dec 10 2018 09:23:51	(current)
>   guix f21058d
>     repository URL: https://git.savannah.gnu.org/git/guix.git
>     branch: master
>     commit: f21058dc5c423f76d51542f557927d756548e5be
> ------

I installed from git (i686) on this commit 6ddc63e...

sdb@antelope ~$ guix describe
guix describe: error: failed to determine origin

My epiphany hash look like this:
The following package will be installed:
  
epiphany	3.28.3.1	/gnu/store/6my9pfvz1rx38fgqr6nhn21nn51q8gb9-epiphany-3.28.3.1

Did that help?

-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33696; Package guix. Full text available.

Message received at 33696 <at> debbugs.gnu.org:


Received: (at 33696) by debbugs.gnu.org; 12 Dec 2018 01:58:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Dec 11 20:58:15 2018
Received: from localhost ([127.0.0.1]:44356 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWtmx-0000dj-6m
	for submit <at> debbugs.gnu.org; Tue, 11 Dec 2018 20:58:15 -0500
Received: from wout2-smtp.messagingengine.com ([64.147.123.25]:43283)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1gWtmv-0000dT-Tc
 for 33696 <at> debbugs.gnu.org; Tue, 11 Dec 2018 20:58:14 -0500
Received: from compute4.internal (compute4.nyi.internal [10.202.2.44])
 by mailout.west.internal (Postfix) with ESMTP id 8D37AA53;
 Tue, 11 Dec 2018 20:58:07 -0500 (EST)
Received: from mailfrontend2 ([10.202.2.163])
 by compute4.internal (MEProxy); Tue, 11 Dec 2018 20:58:07 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=jGSNmJrAIwch0vgJEBmhnZGh
 5EhGaPJmAl/A5IuYMqQ=; b=GYbGw09i30A6BC1OtyAqW59MnaB3Hjbdq4boNDw8
 PrIUu41lzhiZk0neX9mGU5KMVu3+BRayINeqHRtO8Q7EeYUvHMDagNTQqiE2FZJ+
 piKID2wUwQraBIOHwLI2reJ6+mcXCiXucy2eiXX1w/jRwkuT/ysIPSWQpoCC4I15
 3lg=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm1; bh=jGSNmJ
 rAIwch0vgJEBmhnZGh5EhGaPJmAl/A5IuYMqQ=; b=CY6y9Za4naMcl3icYxrHdo
 nW/v3Rokrumv1tbkkzc6gHA3P7O4mpbwEXXQe8opw5H+gS/yEY2SYsfdnIUq5VXS
 CBJWK9D7OhpC8kyvbad+KGsMZxUMpUeXrdc27ZHCyOCDfxcQEa8qrmQP7f7pOmzb
 ZfHCfYFWkWIf5zbcz0lo/2FRNSY4moftXyR3MvttJTSna0NkyV37+5x2yws2nz9h
 RWISjb6qaVbI4F0sGve6wYRyZ0/ZW4bjGixrpkJfCQAHBvgC/sDvt+uOSXxrp74s
 +/QE5YZuTNqFc4aEokWUa0xe34Bz/xKj/FzwpYNDWN3tbWQuEUTOef284u1pnMgA
 ==
X-ME-Sender: <xms:LmsQXEck7T1N7IFnC3XsD8bzDqEdI-FiBZMaExzwB9HS0y9gam5bLQ>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgedtkedrudegkedggeduucetufdoteggodetrfdotf
 fvucfrrhhofhhilhgvmecuhfgrshhtofgrihhlpdfquhhtnecuuegrihhlohhuthemucef
 tddtnecunecujfgurhepfffhvffukfhfgggtuggjfgesghdtreertdervdenucfhrhhomh
 epnfgvohcuhfgrmhhulhgrrhhiuceolhgvohesfhgrmhhulhgrrhhirdhnrghmvgeqnecu
 ffhomhgrihhnpehgnhhurdhorhhgpdifihhkihgurghtrgdrohhrghenucfkphepudejvd
 drheekrddvtddurddvfeehnecurfgrrhgrmhepmhgrihhlfhhrohhmpehlvghosehfrghm
 uhhlrghrihdrnhgrmhgvnecuvehluhhsthgvrhfuihiivgeptd
X-ME-Proxy: <xmx:LmsQXDMVspuiTmbmUXmpoF43QwcIsT-SsUGBuoiCgyCC_sBJtXm43Q>
 <xmx:LmsQXA-KGZ7V6QFz6SQGzF10yVnP2QKHe2fX5XsDPAWC9JvoO5q0dQ>
 <xmx:LmsQXMIeQhtA1c507bg-SFZYWNJwKud20LgfRVrpJRnhbS6XpllEMA>
 <xmx:LmsQXCx-POWpsA91ZHHAd_vEdq7iHhvQKwaTuJUWeor6ygQGH0MQoQ>
 <xmx:LmsQXD0u6-DGJ6Og8onTsp1lI0REKVuDMx7QzX1LXB1O23aNI-IREg>
 <xmx:L2sQXLTXewh5J7y_nsck6oRsEml0TzBJq6ZvdLIdScYWTZI2woyEKQ>
Received: from localhost (unknown [172.58.201.235])
 by mail.messagingengine.com (Postfix) with ESMTPA id 4DA6F102E8;
 Tue, 11 Dec 2018 20:58:06 -0500 (EST)
Date: Tue, 11 Dec 2018 20:58:05 -0500
From: Leo Famulari <leo@HIDDEN>
To: swedebugia@HIDDEN
Subject: Re: bug#33696: Webview crashes on query.wikidata.org
Message-ID: <20181212015805.GD6546@HIDDEN>
References: <831f7b40e8f69ad4293d817d310ba760@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; micalg=pgp-sha256;
 protocol="application/pgp-signature"; boundary="kvUQC+jR9YzypDnK"
Content-Disposition: inline
In-Reply-To: <831f7b40e8f69ad4293d817d310ba760@HIDDEN>
User-Agent: Mutt/1.11.0 (2018-11-25)
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33696
Cc: 33696 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--kvUQC+jR9YzypDnK
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Mon, Dec 10, 2018 at 12:50:55PM -0800, swedebugia@HIDDEN wrote:
> epiphany, vimb and next crashes when I visit that page. It looks fine on
> my Antergos machine in chrome.=20
>=20
> From vimb:
> "Webview Crashed on
> https://query.wikidata.org/#%23added%20before%202016-10%0A%23illustrates%=
20sitelink%20selection%2C%20%22%3B%22%20notation%0ASELECT%20%3Fitem%20%3Fit=
emLabel%20%3Farticle%0AWHERE%0A%7B%0A%09%3Farticle%20%09schema%3Aabout%20%3=
Fitem%20%3B%0A%09%09%09schema%3AisPartOf%20%3Chttps%3A%2F%2Fspecies.wikimed=
ia.org%2F%3E%20.%0A%09SERVICE%20wikibase%3Alabel%20%7B%20bd%3AserviceParam%=
20wikibase%3Alanguage%20%22%5BAUTO_LANGUAGE%5D%2Cen%22%20%7D%0A%7D%0ALIMIT%=
20200"

I can't reproduce this with our package of Epiphany on Debian.

> $ guix --version
> guix (GNU Guix) 0.16.0-3.6ddc63e

Can you use `guix describe` instead? Here is mine:

------
$ guix describe         =20
Generation 56	Dec 10 2018 09:23:51	(current)
  guix f21058d
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: f21058dc5c423f76d51542f557927d756548e5be
------

--kvUQC+jR9YzypDnK
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAABCAAdFiEEsFFZSPHn08G5gDigJkb6MLrKfwgFAlwQay0ACgkQJkb6MLrK
fwgNmQ//VMmj8s3O9hq5O5PHTOMA4vyWFLwfpSLe/BpgJoXjF1opPfzOdxBOwuCB
KOImgZ/bBoFsbvZK/5z7Yuol5oXAJeXUAAfHVYaDgVZtuhVQ9f1hoL+AGt86R94N
0NRSHPs1FxL+UCFD41AyRF6N3aNUhOH7f125NptxSDFsEsxRU8F9bkCgG5cjYs+s
qfO7hKGevtB1pJj1VcIZ8/o5VOy3cn66CrJnEm9fGy2pXy34093irxin8Pgmv/Xh
6DoFvai+IVTw/nk0l5Y9OWKD5ivcECkahssUYdHvzT/OsjJ6qL8My+OG+2/e3Q13
xckZVjxA+U1EbUrLD4H0AM82KhWrqSc+sdcHXlgjYfMqqwkI8Wdv99hleeNjkJR2
B/yu0HY89l7QNd7W52hVwNnt+pWFGmlfkIhKrFOv9qTEgE2AvkNA0U5HabQELog8
mMqScRaMJ3vhH+gT/vqbkOyX4md8PE9jRg2ChtV/HJfthzxJisCyNQLqgstiq81g
FNuJSOIvMqT/0XeBOypdGRJhtrY//bZEAIzEtH05RzMQMKNMYyMUrUyjNfhdtDe/
Ne0b3yXDocG4GQOAiYWGLhSrxmDi8R7h8ksOIHSMJrUgyUCbrMBqmRwKOioH3U89
EBmR5Gs3RUoj0oCd+KpGSVK8YT+/L86Fyq3YkrkxMn4I+IzQaWQ=
=4cfE
-----END PGP SIGNATURE-----

--kvUQC+jR9YzypDnK--




Information forwarded to bug-guix@HIDDEN:
bug#33696; Package guix. Full text available.

Message received at 33696 <at> debbugs.gnu.org:


Received: (at 33696) by debbugs.gnu.org; 10 Dec 2018 20:55:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 15:55:14 2018
Received: from localhost ([127.0.0.1]:42187 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWSaA-0007jJ-6V
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 15:55:14 -0500
Received: from mx1.riseup.net ([198.252.153.129]:42073)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gWSa8-0007jB-4v
 for 33696 <at> debbugs.gnu.org; Mon, 10 Dec 2018 15:55:12 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 5FF0C1A2307;
 Mon, 10 Dec 2018 12:55:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1544475311; bh=DbddMtC6jDwdDREt9OiqLSw/lLQYxTL3HJorIq9fuB0=;
 h=Date:From:To:Cc:Subject:In-Reply-To:References:From;
 b=W0apHvfAagDNSwiOBRM2iWouw8WFsvNviqeurLB1YXmDZhFrwONcp69vWjkTEBTj9
 EraHP2WWLuL+qThepCGdVXiTgzyOl2jU9xZZOmR8gZFLYWH4PlMjdDsqUFPStaM9gC
 bLhA9DgUI0fPQ+7tQ4SftSwvY8hEsCSHW5JRV5d8=
X-Riseup-User-ID: 907D897C27D800CC5B3515178B23B31DF2ABED1724F5D562E4895DF275EC0E46
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id 3823D6A563;
 Mon, 10 Dec 2018 12:55:11 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Date: Mon, 10 Dec 2018 12:55:11 -0800
From: swedebugia@HIDDEN
To: 33696 <at> debbugs.gnu.org
Subject: Re: bug#33696: Webview crashes on query.wikidata.org
In-Reply-To: <831f7b40e8f69ad4293d817d310ba760@HIDDEN>
References: <831f7b40e8f69ad4293d817d310ba760@HIDDEN>
Message-ID: <aded403ef05276e0eb5e1b3531a54783@HIDDEN>
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 33696
Cc: bug-Guix <bug-guix-bounces+swedebugia=riseup.net@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

On 2018-12-10 21:50, swedebugia@HIDDEN wrote:
> Hi.
> 
> epiphany, vimb and next crashes when I visit that page. It looks fine on
> my Antergos machine in chrome. 
> 
> From vimb:
> "Webview Crashed on
> https://query.wikidata.org/#%23added%20before%202016-10%0A%23illustrates%20sitelink%20selection%2C%20%22%3B%22%20notation%0ASELECT%20%3Fitem%20%3FitemLabel%20%3Farticle%0AWHERE%0A%7B%0A%09%3Farticle%20%09schema%3Aabout%20%3Fitem%20%3B%0A%09%09%09schema%3AisPartOf%20%3Chttps%3A%2F%2Fspecies.wikimedia.org%2F%3E%20.%0A%09SERVICE%20wikibase%3Alabel%20%7B%20bd%3AserviceParam%20wikibase%3Alanguage%20%22%5BAUTO_LANGUAGE%5D%2Cen%22%20%7D%0A%7D%0ALIMIT%20200"
> 
> $ guix --version
> guix (GNU Guix) 0.16.0-3.6ddc63e
> 
> Is this an upstream bug perhaps?
> 
> Several crashes were fixed and
> https://webkitgtk.org/releases/webkitgtk-2.23.1.tar.xz is out (unstable
> dev release).

I tried building the new release with --with-source, but it failed with
this:
-- Checking for module 'gl'
--   Found gl, version 18.1.8
-- Found OpenGL:
/gnu/store/c7wzz03f4r00fx6qfcf70y2iyk2d88a9-mesa-18.1.8/include
-- Looking for include file GL/glx.h
-- Looking for include file GL/glx.h - found
-- Checking for module 'glesv2'
--   Found glesv2, version 18.1.8
-- Found OpenGLES2:
/gnu/store/c7wzz03f4r00fx6qfcf70y2iyk2d88a9-mesa-18.1.8/include
CMake Error at Source/cmake/WebKitFeatures.cmake:244 (message):
  ENABLE_JIT conflicts with ENABLE_C_LOOP.  You must disable one or the
  other.
Call Stack (most recent call first):
  Source/cmake/WebKitFeatures.cmake:252
(_WEBKIT_OPTION_ENFORCE_CONFLICTS)
  Source/cmake/WebKitFeatures.cmake:277
(_WEBKIT_OPTION_ENFORCE_ALL_CONFLICTS)
  Source/cmake/OptionsGTK.cmake:160 (WEBKIT_OPTION_END)
  Source/cmake/WebKitCommon.cmake:59 (include)
  CMakeLists.txt:159 (include)


-- Configuring incomplete, errors occurred!
See also
"/tmp/guix-build-webkitgtk-2.23.1.drv-0/build/CMakeFiles/CMakeOutput.log".
See also
"/tmp/guix-build-webkitgtk-2.23.1.drv-0/build/CMakeFiles/CMakeError.log".
Backtrace: 
           4 (primitive-load "/gnu/store/k78dfhbjwqj0nj7pyav74mwl7pz…")
In ice-9/eval.scm:
   191:35  3 (_ _)
In srfi/srfi-1.scm:
   863:16  2 (every1 #<procedure 82fdc40 at /gnu/store/8993x11f4bf3…> …)
In
/gnu/store/8993x11f4bf3lb0il9gnh85kjjikcf4b-module-import/guix/build/gnu-build-system.scm:
   799:28  1 (_ _)
In
/gnu/store/8993x11f4bf3lb0il9gnh85kjjikcf4b-module-import/guix/build/utils.scm:
    616:6  0 (invoke _ . _)

/gnu/store/8993x11f4bf3lb0il9gnh85kjjikcf4b-module-import/guix/build/utils.scm:616:6:
In procedure invoke:
Throw to key `srfi-34' with args `(#<condition &invoke-error [program:
"cmake" arguments: ("../webkitgtk-2.23.1" "-DCMAKE_BUILD_TYPE=Release"
"-DCMAKE_INSTALL_PREFIX=/gnu/store/pdzvvs0x0qskcnkj6aml6zw4pmfn45gs-webkitgtk-2.23.1"
"-DCMAKE_INSTALL_LIBDIR=lib" "-DCMAKE_INSTALL_RPATH_USE_LINK_PATH=TRUE"
"-DCMAKE_INSTALL_RPATH=/gnu/store/pdzvvs0x0qskcnkj6aml6zw4pmfn45gs-webkitgtk-2.23.1/lib"
"-DCMAKE_VERBOSE_MAKEFILE=ON" "-DPORT=GTK" "-DENABLE_GTKDOC=ON"
"-DLIB_INSTALL_DIR=/gnu/store/pdzvvs0x0qskcnkj6aml6zw4pmfn45gs-webkitgtk-2.23.1/lib"
"-DUSE_GSTREAMER_GL=OFF" "-DUSE_WOFF2=OFF") exit-status: 1 term-signal:
#f stop-signal: #f] 80aafe0>)'.
note: keeping build directory `/tmp/guix-build-webkitgtk-2.23.1.drv-0'
builder for
`/gnu/store/j0zw3qb1ybzsqvwbwqcjpmrjllqgs2z9-webkitgtk-2.23.1.drv'
failed with exit code 1
build of
/gnu/store/j0zw3qb1ybzsqvwbwqcjpmrjllqgs2z9-webkitgtk-2.23.1.drv failed
View build log at
'/var/log/guix/drvs/j0/zw3qb1ybzsqvwbwqcjpmrjllqgs2z9-webkitgtk-2.23.1.drv.bz2'.
guix build: error: build failed: build of
`/gnu/store/j0zw3qb1ybzsqvwbwqcjpmrjllqgs2z9-webkitgtk-2.23.1.drv'
failed

-- 
Cheers 
Swedebugia




Information forwarded to bug-guix@HIDDEN:
bug#33696; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 10 Dec 2018 20:51:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Dec 10 15:51:14 2018
Received: from localhost ([127.0.0.1]:42182 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gWSWI-0007dC-LD
	for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 15:51:14 -0500
Received: from eggs.gnu.org ([208.118.235.92]:58478)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <swedebugia@HIDDEN>) id 1gWSWG-0007cz-Su
 for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 15:51:13 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gWSW8-00029Z-Sg
 for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 15:51:07 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:53517)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gWSW8-00029S-PD
 for submit <at> debbugs.gnu.org; Mon, 10 Dec 2018 15:51:04 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:39839)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gWSW6-00017L-Qj
 for bug-guix@HIDDEN; Mon, 10 Dec 2018 15:51:04 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <swedebugia@HIDDEN>) id 1gWSW2-00025c-Nf
 for bug-guix@HIDDEN; Mon, 10 Dec 2018 15:51:02 -0500
Received: from mx1.riseup.net ([198.252.153.129]:40883)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <swedebugia@HIDDEN>)
 id 1gWSW2-00025F-Ac
 for bug-guix@HIDDEN; Mon, 10 Dec 2018 15:50:58 -0500
Received: from piha.riseup.net (piha-pn.riseup.net [10.0.1.163])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "COMODO RSA Domain Validation Secure Server CA" (verified OK))
 by mx1.riseup.net (Postfix) with ESMTPS id 19EE41A01D1
 for <bug-guix@HIDDEN>; Mon, 10 Dec 2018 12:50:55 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1544475056; bh=3YWAsP8EL6+wvRTmdj7RepOwCUkaXnCERsJY7knDmPY=;
 h=Date:From:To:Subject:From;
 b=kJ0f/f5RvEK8Udf4UeoZ8ep8y1J/PjRarqWupT78r+npKPcMzVgMkDWcZgcrtz54z
 5N4+MWB3ZDXcXKFoSSFJdKwT16JqMPJ5afDk8kpOng+Lkc+Hb9ue4UQK7uVHvYlF3N
 aQffyqf8fenyGfwqYtCL7iRp2sbul7YviLha5VJs=
X-Riseup-User-ID: 9226E7DD853FBE1CC7CB1D392D01E8D9FAC26884437B2B76E21E255DC10A1503
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by piha.riseup.net with ESMTPSA id C66946A563
 for <bug-guix@HIDDEN>; Mon, 10 Dec 2018 12:50:55 -0800 (PST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
Date: Mon, 10 Dec 2018 12:50:55 -0800
From: swedebugia@HIDDEN
To: bug-guix@HIDDEN
Subject: Webview crashes on query.wikidata.org
Message-ID: <831f7b40e8f69ad4293d817d310ba760@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -4.1 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

Hi.

epiphany, vimb and next crashes when I visit that page. It looks fine on
my Antergos machine in chrome. 

From vimb:
"Webview Crashed on
https://query.wikidata.org/#%23added%20before%202016-10%0A%23illustrates%20sitelink%20selection%2C%20%22%3B%22%20notation%0ASELECT%20%3Fitem%20%3FitemLabel%20%3Farticle%0AWHERE%0A%7B%0A%09%3Farticle%20%09schema%3Aabout%20%3Fitem%20%3B%0A%09%09%09schema%3AisPartOf%20%3Chttps%3A%2F%2Fspecies.wikimedia.org%2F%3E%20.%0A%09SERVICE%20wikibase%3Alabel%20%7B%20bd%3AserviceParam%20wikibase%3Alanguage%20%22%5BAUTO_LANGUAGE%5D%2Cen%22%20%7D%0A%7D%0ALIMIT%20200"

$ guix --version
guix (GNU Guix) 0.16.0-3.6ddc63e

Is this an upstream bug perhaps?

Several crashes were fixed and
https://webkitgtk.org/releases/webkitgtk-2.23.1.tar.xz is out (unstable
dev release).

-- 
Cheers 
Swedebugia




Acknowledgement sent to swedebugia@HIDDEN:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#33696; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.